io.agora.rtc

## Enum Constants.AnsModelType

- java.lang.Object
- - java.lang.Enum<Constants.AnsModelType>
  - - io.agora.rtc.Constants.AnsModelType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.AnsModelType>
  Enclosing class:
    Constants

      public static enum Constants.AnsModelType
      extends java.lang.Enum<Constants.AnsModelType>

  The ANS Model Type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LLAIANS` LLAIANS: low-latency AIANS algorithm.
    `STDAIANS` STDAIANS: standard-latency AIANS algorithm.
    `TRANS` TRANS: (Default) traditional ANS model.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the ANS model type

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.AnsModelType` | `fromInt(int value)` Converts an integer value to its corresponding AnsModelType enum constant.
    `int` | `getValue()` Gets the integer value of the AnsModelType.
    `static Constants.AnsModelType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.AnsModelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRANS

          public static final Constants.AnsModelType TRANS

      TRANS: (Default) traditional ANS model.

    - #### LLAIANS

          public static final Constants.AnsModelType LLAIANS

      LLAIANS: low-latency AIANS algorithm.

    - #### STDAIANS

          public static final Constants.AnsModelType STDAIANS

      STDAIANS: standard-latency AIANS algorithm.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the ANS model type

  - ### Method Detail

    - #### values

          public static Constants.AnsModelType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.AnsModelType c : Constants.AnsModelType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.AnsModelType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the AnsModelType.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.AnsModelType fromInt(int value)

      Converts an integer value to its corresponding AnsModelType enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding AnsModelType, or null if the value is not found.